#include "mcf5213.h"

 void init_pto_QS(void);
 void init_clock_config (void);
 void parpadear(void);
 void espera(void);

 int main (void)

	{		
		init_pto_QS();
		init_clock_config();
		parpadear();
		return 0;
	}



  void init_clock_config (void) 

	{
     		// Clock mode: External clock Mode, PLL disable
    	 	// Processor/Bus clock frequency = 7.3728 MHz

		 MCF_CLOCK_SYNCR = 0;
	}

 void init_pto_QS(void) 


	{
		MCF_GPIO_PQSPAR=0;					// GPIO Propósito General
	  	MCF_GPIO_DDRQS = MCF_GPIO_DDRQS_DDRQS3;		// Bit 3 como salida
	}

 


 void parpadear(void)
	{
		while (1)
			{
				MCF_GPIO_CLRQS = ~MCF_GPIO_CLRQS_CLRQS3;	// pone en BAJO = Enciende
	       		espera();      	  		      
	       		MCF_GPIO_SETQS = MCF_GPIO_SETQS_SETQS3;	// pone en ALTO = Apaga
	       		espera();	          	    		
			}
	}



void espera(void)   
	{
       	unsigned long  contador;	  
     
     	  	contador=0;       
      	while (contador < 300000) 
			{
              		contador++;
       		}       
	}


